Bug 155969 - Dolphin context menu options "copy to" and "move to"
Summary: Dolphin context menu options "copy to" and "move to"
Status: RESOLVED FIXED
Alias: None
Product: dolphin
Classification: Unclassified
Component: general (show other bugs)
Version: 16.12.2
Platform: Ubuntu Packages Linux
: NOR wishlist with 40 votes (vote)
Target Milestone: ---
Assignee: Peter Penz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-01-17 07:22 UTC by Gabriel Saldana
Modified: 2008-04-03 19:35 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gabriel Saldana 2008-01-17 07:22:36 UTC
Version:            (using KDE 4.0.0)
Installed from:    Ubuntu Packages
OS:                Linux

The copy to and move to options for files on Konqueror was a nice feature that is missing on Dolphin. Its very useful to have them.
Comment 1 Peter Penz 2008-01-17 07:52:03 UTC
I agree. At least for Konqueror it is a must-have as it was available with KDE 3; for Dolphin I personally would like to have this option too (but turned off per default). I'll check with David Faure how to proceed here, I hope we can include this until KDE 4.1...
Comment 2 FiNeX 2008-01-17 10:23:36 UTC
Why should be this option turned off by default?
Comment 3 Peter Penz 2008-01-17 10:53:20 UTC
> Why should be this option turned off by default?

To prevent that Dolphins context menu gets as complex as Konqis. Dolphin offers the split-view for doing copy-to- and move-to- operations. I personally like the copy-to and move-to shortcut and might activate it for myself, but I don't think this feature is something which should be on per default for Dolphins main target users.

Hmm... As I often use the "Dolphins target users" argument: I think it's time that I put the "target users" definition for Dolphin online on the Dolphin homepage... 
Comment 4 FiNeX 2008-01-17 11:22:01 UTC
Ok Peter, it's good. I'll enable it too!

...and yes, you should add the "target users" definition on the dolphin homepage :-)
Comment 5 David Faure 2008-01-18 13:20:08 UTC
Yes I should add this to KonqPopupMenu.
Comment 6 Gabriel Saldana 2008-01-19 00:41:33 UTC
Can it be an option on Dolphin's settings to activate or deactivate this feature? KDE is supposedly VERY configurable.
Comment 7 Karsten Fleischer 2008-02-01 16:46:17 UTC
Hope this makes it as soon as possible, personally this is one of the
old konqueror features I miss most in version 4.0
Comment 8 René Buffat 2008-03-21 18:56:02 UTC
First I should say that I used to move / copy all my files with this menu. When I had to use XP or now KDE4 that is one of the biggest things I miss. I don't see why the "target user" should not have this feature by default. In my opinion it's a very elegant way to move or copy files.

When you think that the menu gets overcrowded, why not put it under "Actions"?
Comment 9 David Faure 2008-04-02 13:42:33 UTC
SVN commit 792844 by dfaure:

"Copy To" / "Move To" submenus are back - at least in konqueror, but KonqCopyToMenu can be used in dolphin too.
CCBUG: 155969


 M  +4 -2      CMakeLists.txt  
 A             konq_copytomenu.cpp   [License: LGPL (v2/3+eV)]
 A             konq_copytomenu.h   [License: LGPL (v2/3+eV)]
 A             konq_copytomenu_p.h   [License: LGPL (v2/3+eV)]
 M  +6 -0      konq_menuactions.cpp  
 M  +5 -0      konq_menuactions.h  
 M  +38 -15    konq_popupmenu.cpp  
 M  +91 -60    tests/konqpopupmenutest.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=792844
Comment 10 Peter Penz 2008-04-02 21:49:33 UTC
SVN commit 792995 by ppenz:

Thanks to David Faure the 'Copy To' and 'Move To' menus in the context menu can also be used by Dolphin now :-) In opposite to Konqueror the sub menus are turned off per default.

Minor issue: the Dolphin context menu should take care about the protocol capabilities (copy, move, delete, ...) like in konq_popupmenu (I'll fix this before 4.1).

CCMAIL: faure@kde.org
BUG: 155969

 M  +4 -0      dolphin_generalsettings.kcfg  
 M  +10 -1     dolphincontextmenu.cpp  
 M  +2 -0      dolphincontextmenu.h  
 M  +6 -0      generalsettingspage.cpp  
 M  +1 -0      generalsettingspage.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=792995
Comment 11 David Faure 2008-04-02 23:44:14 UTC
Everyone on this bug, what do you think about the suggestion in http://bugs.kde.org/show_bug.cgi?id=71876
about merging "copy to" and "move to" into a single menu?
Important: please answer in #71876, not here.
Comment 12 FiNeX 2008-04-03 19:35:55 UTC
David: I've just answered to the bug #71876.